> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Phone Number by LID

> Get phone number associated with a specific LID

## Description

This endpoint returns the phone number associated with a specific LID (Local ID). LID is a local identifier used by WhatsApp to map contacts efficiently.

## URL Parameters

<ParamField path="session" type="string" required>
  Unique authenticated session ID
</ParamField>

<ParamField path="lid" type="string" required>
  Local ID (LID) of the contact to be queried
</ParamField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "lid": "12345678901234567890",
    "phone": "5511999999999",
    "jid": "5511999999999@s.whatsapp.net"
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Phone number returned successfully
* `401` - Unauthorized session
* `404` - Session or LID not found

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/lids/12345678901234567890
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const lid = '12345678901234567890';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/lids/${lid}`);
  const data = await response.json();
  console.log(`LID: ${data.lid}`);
  console.log(`Phone: ${data.phone}`);
  console.log(`JID: ${data.jid}`);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  lid = '12345678901234567890'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/lids/{lid}')
  data = response.json()
  print(f"LID: {data['lid']}")
  print(f"Phone: {data['phone']}")
  print(f"JID: {data['jid']}")
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/lids/{lid}
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/lids/{lid}:
    get:
      tags:
        - 👤 Contacts
      summary: Get phone number by lid
      description: The {session} parameter must be the session's instanceName.
      operationId: LidsController_findPNByLid
      parameters:
        - name: lid
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LidToPhoneNumber'
      security:
        - api_key: []
components:
  schemas:
    LidToPhoneNumber:
      type: object
      properties:
        lid:
          type: string
          description: User's linked ID
          example: 1111111@lid
        pn:
          type: string
          description: User's phone number (chat id)
          example: 3333333@c.us
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````